## libmirage-types-ocaml 1.2.0

=== Makefile ===
.PHONY: all clean install build
all: build test doc

PREFIX ?= /usr/local
NAME=mirage
CONF_FLAGS ?=

setup.bin: setup.ml
	ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	./setup.bin -configure $(CONF_FLAGS) --prefix $(PREFIX)

build-types:
	./build

install-types:
	./build true

build: setup.data setup.bin
	./setup.bin -build -classic-display

doc: setup.data setup.bin
	./setup.bin -doc

install: setup.bin
	./setup.bin -install

uninstall: setup.bin
	./setup.bin -uninstall

test: setup.bin build
	./setup.bin -test

fulltest: setup.bin build
	./setup.bin -test

reinstall: setup.bin
	ocamlfind remove $(NAME) || true
	./setup.bin -reinstall

clean:
	ocamlbuild -clean
	rm -f setup.data setup.log setup.bin

=== lib_test/Makefile ===
MIRAGE = ../main.native
TESTS  = console kv_ro fat net ip http combinator basic_ethif basic_stackv4 basic_http
# MODE ?= xen
MODE   ?= unix
MFLAGS ?=

CONFIGS = $(patsubst %, %-configure, $(TESTS))
BUILDS  = $(patsubst %, %-build, $(TESTS))
RUNS    = $(patsubst %, %-run, $(TESTS))
CLEANS  = $(patsubst %, %-clean, $(TESTS))

all: $(CONFIGS)
run: $(RUNS)
build: $(BUILDS)
clean: $(CLEANS)

%-configure:
	$(MIRAGE) configure $*/config.ml $(MFLAGS) --$(MODE)

%-build: %-configure
	$(MIRAGE) build $*/config.ml

%-run: %-build
	$(MIRAGE) run $*/config.ml

%-clean:
	rm -f $*/mir-main
	$(MIRAGE) clean $*/config.ml $(MFLAGS) || true

=== debian/changelog ===
libmirage-types-ocaml (1.2.0-1) UNRELEASED; urgency=low

  * Update to 1.2.0

 -- David Scott <dave.scott@citrix.com>  Wed, 16 Jul 2014 12:00:00 +0000

libmirage-types-ocaml (1.1.1-1) UNRELEASED; urgency=low

  * Initial package

 -- Euan Harris <euan.harris@citrix.com>  Tue, 01 Apr 2014 12:00:00 +0000

=== debian/control ===
Source: libmirage-types-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 libio-page-ocaml-dev,
 python,
 debhelper (>= 8),
 ocaml-findlib,
 ocaml-native-compilers,
 libounit-ocaml-dev,
 libipaddr-ocaml-dev,
 libcstruct-ocaml-dev,
 liblwt-ocaml-dev,
 libfindlib-ocaml-dev

Package: libmirage-types-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: MirageOS interfaces
 This library contains interfaces to build applications that are
 compatible with the Mirage operating system. It defines only
 interfaces, and no concrete modules.
 .
 See http://openmirage.org for more information.

Package: libmirage-types-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libmirage-types-ocaml (>= 1.2.0-1)
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-mirage-types
 The ocaml-mirage-types-devel package contains libraries and signature
 files for developing applications that use ocaml-mirage-types.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/libmirage-types-ocaml/usr/lib/ocaml/mirage-types/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
